org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrRecord

- java.lang.Object
- - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrRecord

- All Implemented Interfaces:
    Writable
  Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrRecord
      extends java.lang.Object
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrRecord()`
    `SolrRecord(java.lang.String id, float boost, long tstamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBoost()`
    `java.lang.String` | `getId()`
    `long` | `getTstamp()`
    `void` | `readFields(java.io.DataInput in)`
    `void` | `readSolrDocument(SolrDocument doc)`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrRecord

          public SolrRecord()

    - #### SolrRecord

          public SolrRecord(java.lang.String id,
                            float boost,
                            long tstamp)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### getBoost

          public float getBoost()

    - #### getTstamp

          public long getTstamp()

    - #### readSolrDocument

          public void readSolrDocument(SolrDocument doc)

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

Copyright © 2019 The Apache Software Foundation